/// <reference types="react" />
import * as PropTypes from "prop-types";
export interface ExpandControlProps extends React.HTMLProps<HTMLButtonElement> {
    ref?: any;
    state?: any;
    expandId: string;
    staticState?: boolean;
    activeOnMount?: boolean;
    activeClassName?: string;
    triggerEvent?: "hover" | "click";
}
export declare const ExpandControlPropTypes: {
    [T in keyof ExpandControlProps]: PropTypes.Validator<any>;
};
export declare const ExpandControlDefaultProps: {
    [T in keyof ExpandControlProps]?: ExpandControlProps[T];
};
