import * as React from "react";
import * as PropTypes from "prop-types";
export interface ModalContainerProps {
    activeBodyClassName: string;
}
export declare const ModalContainerPropTypes: {
    [P in keyof ModalContainerProps]: PropTypes.Validator<any>;
};
export declare class ModalContainer extends React.Component<ModalContainerProps> {
    static readonly propTypes: {
        activeBodyClassName: PropTypes.Validator<any>;
    };
    static readonly containerId = "modal-container";
    private container;
    constructor(props: any);
    componentDidMount(): void;
    componentDidUpdate(): void;
    render(): React.ReactNode;
    protected setBodyClassName: () => void;
}
