/// <reference types="react" />
import * as PropTypes from "prop-types";
export interface ModalProps extends React.HTMLProps<HTMLDivElement> {
    activeBodyClassName?: string;
    closeOnOutside?: boolean;
    defaultOpened?: boolean;
    modalId: string;
}
export declare const ModalPropTypes: {
    [P in keyof ModalProps]: PropTypes.Validator<any>;
};
export declare const ModalDefaultProps: {
    [P in keyof ModalProps]?: ModalProps[P];
};
