import * as React from "react";
import * as PropTypes from "prop-types";
import { ExpandContext } from "../ExpandController";
export interface OuterContextProviderProps {
    context: ExpandContext;
}
export declare const OuterContextProviderPropTypes: {
    [P in keyof OuterContextProviderProps]: PropTypes.Validator<any>;
};
export declare class OuterContextProvider extends React.Component<OuterContextProviderProps> {
    static readonly propTypes: {
        context: PropTypes.Validator<any>;
    };
    static readonly childContextTypes: {
        changeExpandState: PropTypes.Validator<any>;
        isExpanded: PropTypes.Validator<any>;
        getState: PropTypes.Validator<any>;
    };
    getChildContext(): ExpandContext;
    render(): React.ReactNode;
}
