import * as PropTypes from "prop-types";
export interface TabsContext {
    changeActiveTab: (id: string) => void;
    unregisterTab: (id: string) => void;
    registerTab: (id: string) => void;
    activeTab?: string;
}
export declare const TabsContextTypes: {
    [P in keyof TabsContext]: PropTypes.Validator<any>;
};
