import * as React from "react";
import * as PropTypes from "prop-types";
import { ExpandContext } from "../ExpandController";
export interface HashListenerProps {
    onHashExpanded?: (expandId: string) => void;
}
export declare const HashListenerPropTypes: {
    [P in keyof HashListenerProps]: PropTypes.Validator<any>;
};
export declare class HashListener extends React.Component<HashListenerProps> {
    static readonly contextTypes: {
        changeExpandState: PropTypes.Validator<any>;
        isExpanded: PropTypes.Validator<any>;
        getState: PropTypes.Validator<any>;
    };
    static readonly propTypes: {
        onHashExpanded?: PropTypes.Validator<any>;
    };
    readonly context: ExpandContext;
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): React.ReactNode;
    protected handleHashChange: () => void;
    protected readonly hashElements: Array<string>;
}
